Index: libs/libmythtv/programinfo.cpp
===================================================================
--- libs/libmythtv/programinfo.cpp	(revision 16237)
+++ libs/libmythtv/programinfo.cpp	(working copy)
@@ -662,6 +662,18 @@
         progMap["originalairdate"] = "";
         progMap["shortoriginalairdate"] = "";
     }
+ 
+     QString prefix = programid.left(2);
+         
+     // Movies shouldn't have original air dates
+     if (programid != "")
+     {
+         if (prefix == "MV")
+             {
+                 progMap["originalairdate"] = "";
+                 progMap["shortoriginalairdate"] = "";
+             }
+     }
 }
 
 /** \fn ProgramInfo::CalculateLength(void) const
