diff -U 2 -r ../mythtv-0.21.orig/libs/libmythtv/programinfo.cpp ../mythtv-0.21/libs/libmythtv/programinfo.cpp
--- ../mythtv-0.21.orig/libs/libmythtv/programinfo.cpp	2008-01-23 13:51:06.000000000 -0800
+++ ../mythtv-0.21/libs/libmythtv/programinfo.cpp	2008-02-09 15:02:51.951192639 -0800
@@ -663,4 +663,16 @@
         progMap["shortoriginalairdate"] = "";
     }
+ 
+     QString prefix = programid.left(2);
+         
+     // Movies shouldn't have original air dates
+     if (programid != "")
+     {
+         if (prefix == "MV")
+             {
+                 progMap["originalairdate"] = "";
+                 progMap["shortoriginalairdate"] = "";
+             }
+     }
 }
 
Only in ../mythtv-0.21/libs/libmythtv: programinfo.cpp~
Only in ../mythtv-0.21/libs/libmythtv: ThreadedFileWriter.cpp~
Only in ../mythtv-0.21/programs/mythbackend: mainserver.cpp~
